package com.qmth.qrzk.repository.user.model;


import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.persistence.*;

@Entity
@Table(name = "paper_analysis")
public class PaperAnalysis {


    @Id
    @GeneratedValue
    private int id;
    @Column(name = "course_code")
    private String courseCode;
    @Column(name = "course_name")
    private String courseName;
    @Column(name = "province")
    private String province;
    @Column(name = "coverage")
    private String coverage;
    @Column(name = "scientificity")
    private String scientificity;
    @Column(name = "facility_value")
    private String facilityValue;
    @Column(name = "cognitive_level")
    private String cognitiveLevel;
    @Column(name = "question_type")
    private String questionType;
    @Column(name = "paper_norm")
    private String paperNorm;
    @Column(name = "actual_number")
    private Integer actualNumber;
    @Column(name = "passes_number")
    private Integer passesNumber;
    @Column(name = "pass_rate")
    private Float passRate;
    @Column(name = "average")
    private Float average;
    @Column(name = "remarks")
    private String remarks;

    @ManyToOne(targetEntity = PaperBatch.class,fetch = FetchType.EAGER)
    @JoinColumn(name="batch_id",referencedColumnName="id")
    private PaperBatch paperBatch;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCoverage() {
        return coverage;
    }

    public void setCoverage(String coverage) {
        this.coverage = coverage;
    }

    public String getScientificity() {
        return scientificity;
    }

    public void setScientificity(String scientificity) {
        this.scientificity = scientificity;
    }

    public String getFacilityValue() {
        return facilityValue;
    }

    public void setFacilityValue(String facilityValue) {
        this.facilityValue = facilityValue;
    }

    public String getCognitiveLevel() {
        return cognitiveLevel;
    }

    public void setCognitiveLevel(String cognitiveLevel) {
        this.cognitiveLevel = cognitiveLevel;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getPaperNorm() {
        return paperNorm;
    }

    public void setPaperNorm(String paperNorm) {
        this.paperNorm = paperNorm;
    }

    public Integer getActualNumber() {
        return actualNumber;
    }

    public void setActualNumber(Integer actualNumber) {
        this.actualNumber = actualNumber;
    }

    public Integer getPassesNumber() {
        return passesNumber;
    }

    public void setPassesNumber(Integer passesNumber) {
        this.passesNumber = passesNumber;
    }

    public Float getPassRate() {
        return passRate;
    }

    public void setPassRate(Float passRate) {
        this.passRate = passRate;
    }

    public Float getAverage() {
        return average;
    }

    public void setAverage(Float average) {
        this.average = average;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public PaperBatch getPaperBatch() {
        return paperBatch;
    }

    public void setPaperBatch(PaperBatch paperBatch) {
        this.paperBatch = paperBatch;
    }

    public PaperAnalysis() {
    }

}
