package com.qmth.qrzk.repository.user.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * 角色实体类  
 * @author 钟辉
 *
 */
@Entity
@Table(name="s_role")
public class Role {
	
	/**
	 * 录入员角色代码
	 */
	public final static String INPUT_ROLE_CODE = "INPUTER";
	public final static String SCAN_ROLE_CODE = "SCANNER";
	
	@Id
	@GeneratedValue
	private int id;				 //主键id
	
	private String code;		
	
	private String name;		//角色名
	
	private String remark;		//备注
	
	@Column(name="is_enabled")
	private int isEnabled;		//是否启用
	
	@Column(name="user_type")
	private int userType;		//对应用户类型
	
	@Column(name="role_type")
	private int roleType;		//角色类型
	
	@Column(name="update_date")
	@Temporal(TemporalType.TIMESTAMP)
	private Date updateDate;	//更新时间

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public int getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(int isEnabled) {
		this.isEnabled = isEnabled;
	}

	public int getUserType() {
		return userType;
	}

	public void setUserType(int userType) {
		this.userType = userType;
	}

	public int getRoleType() {
		return roleType;
	}

	public void setRoleType(int roleType) {
		this.roleType = roleType;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public int getId() {
		return id;
	}
	
	
}
